--- a/arch/mips/bcm63xx/boards/board_bcm963xx.c
+++ b/arch/mips/bcm63xx/boards/board_bcm963xx.c
@@ -1062,6 +1062,19 @@ static struct board_info __initdata boar
 	.name				= "96345GW2",
 	.expected_cpu_id		= 0x6345,
 };
+
+static struct board_info __initdata board_rta770w = {
+	.name = "RTA770BW",
+	.expected_cpu_id = 0x6345,
+
+	.has_enet0 = 1,
+	.enet0 = {
+		.has_phy = 1,
+		.phy_id = 0,
+		.force_speed_100 = 1,
+		.force_duplex_full = 1,
+	},
+};
 #endif /* CONFIG_BCM63XX_CPU_6345 */
 
 /*
@@ -1397,6 +1410,7 @@ static const struct board_info __initcon
 #endif /* CONFIG_BCM63XX_CPU_6338 */
 #ifdef CONFIG_BCM63XX_CPU_6345
 	&board_96345gw2,
+	&board_rta770w,
 #endif /* CONFIG_BCM63XX_CPU_6345 */
 #ifdef CONFIG_BCM63XX_CPU_6348
 	&board_96348r,
@@ -1455,6 +1469,8 @@ static struct of_device_id const bcm963x
 #endif /* CONFIG_BCM63XX_CPU_6338 */
 #ifdef CONFIG_BCM63XX_CPU_6345
 	{ .compatible = "brcm,bcm96345gw2", .data = &board_96345gw2, },
+	{ .compatible = "dynalink,rta770bw", .data = &board_rta770w, },
+	{ .compatible = "dynalink,rta770w", .data = &board_rta770w, },
 #endif /* CONFIG_BCM63XX_CPU_6345 */
 #ifdef CONFIG_BCM63XX_CPU_6348
 	{ .compatible = "belkin,f5d7633", .data = &board_96348gw_10, },
